Bug 221230

Summary: [ BigSur+ ] imported/w3c/web-platform-tests/media-source/mediasource-addsourcebuffer.html (layout-test) is consistently failing
Product: WebKit Reporter: Amir Mark Jr <amir_mark>
Component: MediaAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: eric.carlson, ews-watchlist, Jenner, jer.noble, mkwst, webkit-bot-watchers-bugzilla, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Update TestExpectations none

Description Amir Mark Jr 2021-02-01 15:32:39 PST
imported/w3c/web-platform-tests/media-source/mediasource-addsourcebuffer.html

Is consistently failing in Big Sur wk1

HISTORY: 

https://results.webkit.org/?suite=layout-tests&test=imported%2Fw3c%2Fweb-platform-tests%2Fmedia-source%2Fmediasource-addsourcebuffer.html

TEXT DIFF:

--- /Volumes/Data/slave/bigsur-release-tests-wk1/build/layout-test-results/imported/w3c/web-platform-tests/media-source/mediasource-addsourcebuffer-expected.txt
+++ /Volumes/Data/slave/bigsur-release-tests-wk1/build/layout-test-results/imported/w3c/web-platform-tests/media-source/mediasource-addsourcebuffer-actual.txt
@@ -4,7 +4,7 @@
 PASS Test addSourceBuffer() with null
 PASS Test addSourceBuffer() with unsupported type
 FAIL Test addSourceBuffer() with Vorbis and VP8 assert_true: video/webm;codecs="vp8,vorbis" is supported expected true got false
-FAIL Test addSourceBuffer() with Vorbis and VP8 in separate SourceBuffers assert_true: audio/webm;codecs="vorbis" is supported expected true got false
+FAIL Test addSourceBuffer() with Vorbis and VP8 in separate SourceBuffers assert_true: video/webm;codecs="vp8" is supported expected true got false
 PASS Test addSourceBuffer() video only
 PASS Test addSourceBuffer() audio only
 PASS Test addSourceBuffer() with AAC and H.264
Comment 1 Radar WebKit Bug Importer 2021-02-01 15:35:39 PST
<rdar://problem/73849975>
Comment 2 Amir Mark Jr 2021-02-01 16:59:50 PST
Created attachment 418941 [details]
Patch
Comment 3 Amir Mark Jr 2021-02-02 09:58:06 PST
Created attachment 419018 [details]
Patch
Comment 4 Amir Mark Jr 2021-02-02 11:24:33 PST
Created attachment 419033 [details]
Update TestExpectations
Comment 5 Ryan Haddad 2021-02-02 11:34:37 PST
Comment on attachment 419033 [details]
Update TestExpectations

Clearing flags on attachment: 419033

Committed r272225: <https://trac.webkit.org/changeset/272225>
Comment 6 Robert Jenner 2021-11-30 14:31:02 PST
This test appears to be constantly failing in a similar fashion for Monterey wk1 and wk2:

HISTORY:
https://results.webkit.org/?suite=layout-tests&test=imported%2Fw3c%2Fweb-platform-tests%2Fmedia-source%2Fmediasource-addsourcebuffer.html

TEXT DIFF:
 PASS Test addSourceBuffer() with empty type
 PASS Test addSourceBuffer() with null
 PASS Test addSourceBuffer() with unsupported type
-PASS Test addSourceBuffer() with Vorbis and VP8
-PASS Test addSourceBuffer() with Vorbis and VP8 in separate SourceBuffers
+FAIL Test addSourceBuffer() with Vorbis and VP8 assert_true: video/webm;codecs="vp8,vorbis" is supported expected true got false
+FAIL Test addSourceBuffer() with Vorbis and VP8 in separate SourceBuffers assert_true: audio/webm;codecs="vorbis" is supported expected true got false
 PASS Test addSourceBuffer() video only
 PASS Test addSourceBuffer() audio only
 PASS Test addSourceBuffer() with AAC and H.264
 PASS Test addSourceBuffer() with AAC and H.264 in separate SourceBuffers
-PASS Test addSourceBuffer() QuotaExceededError.

Adjusted expectations here:
https://trac.webkit.org/changeset/286328/webkit